---
updatedAt: 2025-06-25T21:54:34.000Z
agentTools:
  projectIndex: https://docs.nftgo.io/llms.txt
---

# Get top sales by collection

The top 10% sales info over the selected time range.

# OpenAPI definition

````json
{
  "openapi": "3.0.2",
  "info": {
    "title": "API Documentation | NFTGo",
    "description": "\nNote: You can find our listing criteria here: https://docs.nftgo.io/docs/listing-criteria\n\n# Introduction\n[NFTGo.io](https://nftgo.io/) is a data analytics platform for NFTs. We provide support for NFTs on the Ethereum blockchain. This API includes:\n* Support for metrics like Market Cap and Volume (globally and per-collection)\n* NFT metadata and price information\n* Access to the custom rarity model\n* Address and portfolio tracking\n* Collection transaction history\n* NFT and profit rankings\n* .. And much more!\n\n# Authentication\nTo start exploring the NFTGo API, you need to sign up for an API key [here](https://nftgo.io/data-api/).\nUsing your API key, you can make requests to the NFTGo API by sending the API key as a **header** in your request. Below is an example:\n```Bash\ncurl http://127.0.0.1:5001/<your-request-url> -H X-API-KEY:<YOUR-API-KEY>\n```\n\nAll requests should be prefixed with [http://127.0.0.1:5001/.](http://127.0.0.1:5001/)\n\n# Rate limits\nCurrently, we have a rate limit of 5 request per second (5RPS). If your project needs a specialized plan, you can contact us [here](https://docs.google.com/forms/d/e/1FAIpQLSdToHwUCisiDhNiW_UcVdRgjjLxLNt3fW1cruvZoPpxKxJuGQ/viewform).\n\n\n",
    "version": "1.1.0",
    "x-logo": {
      "url": "https://static.nftgo.io/nftgo-logo-with-text-light.svg"
    }
  },
  "servers": [
    {
      "url": "https://data-api.nftgo.io"
    }
  ],
  "paths": {
    "/eth/v1/chart/collection/sales": {
      "get": {
        "tags": [
          "Chart"
        ],
        "summary": "Get top sales by collection",
        "description": "The top 10% sales info over the selected time range.",
        "operationId": "get_collection_sales_chart_eth_v1_chart_collection_sales_get",
        "parameters": [
          {
            "description": "Whether to exlucde trade that with very high or very low price",
            "required": false,
            "schema": {
              "title": "Exclude Outlier",
              "type": "boolean",
              "description": "Whether to exlucde trade that with very high or very low price",
              "default": false
            },
            "name": "exclude_outlier",
            "in": "query"
          },
          {
            "description": "Whether to exclude wash trading",
            "required": false,
            "schema": {
              "title": "Exclude Wash Trading",
              "type": "boolean",
              "description": "Whether to exclude wash trading",
              "default": true
            },
            "name": "exclude_wash_trading",
            "in": "query"
          },
          {
            "required": false,
            "schema": {
              "title": "Time Range",
              "enum": [
                "24h",
                "7d",
                "30d",
                "3M",
                "1y"
              ],
              "type": "string",
              "default": "24h"
            },
            "name": "time_range",
            "in": "query"
          },
          {
            "description": "Address of the contract for this NFT collection, beginning with 0x",
            "required": false,
            "schema": {
              "title": "Contract Address",
              "type": "string",
              "description": "Address of the contract for this NFT collection, beginning with 0x",
              "default": ""
            },
            "example": "0xbc4ca0eda7647a8ab7c2061c2e118a18a936f13d",
            "name": "contract_address",
            "in": "query"
          },
          {
            "description": "NFTGo slug of the collection. If the slug contains special characters, you need to escape them before performing the query.",
            "required": false,
            "schema": {
              "title": "Slug",
              "type": "string",
              "description": "NFTGo slug of the collection. If the slug contains special characters, you need to escape them before performing the query.",
              "default": ""
            },
            "name": "slug",
            "in": "query"
          },
          {
            "description": "OpenSea slug of the collection.If the slug contains special characters, you need to escape them before performing the query.",
            "required": false,
            "schema": {
              "title": "Opensea Slug",
              "type": "string",
              "description": "OpenSea slug of the collection.If the slug contains special characters, you need to escape them before performing the query.",
              "default": ""
            },
            "name": "opensea_slug",
            "in": "query"
          },
          {
            "description": "Collection ID of the collection",
            "required": false,
            "schema": {
              "title": "Collection Id",
              "type": "string",
              "description": "Collection ID of the collection",
              "default": ""
            },
            "name": "collection_id",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/_SalesChart"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      },
      "_Order": {
        "title": "_Order",
        "required": [
          "time",
          "price",
          "blockchain",
          "contract_address",
          "token_id",
          "quantity",
          "buyer",
          "seller"
        ],
        "type": "object",
        "properties": {
          "time": {
            "title": "Time",
            "type": "integer",
            "example": 1676871515
          },
          "price": {
            "title": "Price",
            "type": "number",
            "example": 70.95
          },
          "blockchain": {
            "title": "Blockchain",
            "type": "string",
            "example": "ETH"
          },
          "contract_address": {
            "title": "Contract Address",
            "maxLength": 42,
            "minLength": 42,
            "pattern": "^0x[a-fA-F0-9]{40}$",
            "type": "string",
            "example": "0xb47e3cd837ddf8e4c57f05d70ab865de6e193bbb"
          },
          "token_id": {
            "title": "Token Id",
            "type": "string",
            "example": "2418"
          },
          "token_name": {
            "title": "Token Name",
            "type": "string",
            "example": "CryptoPunk #2418"
          },
          "quantity": {
            "title": "Quantity",
            "type": "integer",
            "example": 1
          },
          "buyer": {
            "$ref": "#/components/schemas/_Trader"
          },
          "seller": {
            "$ref": "#/components/schemas/_Trader"
          }
        }
      },
      "_SalesChart": {
        "title": "_SalesChart",
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/_Order"
        }
      },
      "_Trader": {
        "title": "_Trader",
        "required": [
          "is_super_blue_chip_holder",
          "is_blue_chip_holder",
          "is_contract",
          "is_whale"
        ],
        "type": "object",
        "properties": {
          "address": {
            "title": "Address",
            "type": "string"
          },
          "ens": {
            "title": "Ens",
            "type": "string"
          },
          "avatar": {
            "title": "Avatar",
            "maxLength": 65536,
            "minLength": 1,
            "type": "string",
            "format": "uri"
          },
          "twitter": {
            "title": "Twitter",
            "type": "string"
          },
          "is_super_blue_chip_holder": {
            "title": "Is Super Blue Chip Holder",
            "type": "boolean"
          },
          "is_blue_chip_holder": {
            "title": "Is Blue Chip Holder",
            "type": "boolean"
          },
          "is_contract": {
            "title": "Is Contract",
            "type": "boolean"
          },
          "is_whale": {
            "title": "Is Whale",
            "type": "boolean"
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-KEY"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "security": [
    {
      "ApiKeyAuth": []
    }
  ]
}
````